> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tasks 1

> Get a task



## OpenAPI

````yaml /schema.json get /tasks/{identifier}
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /tasks/{identifier}:
    get:
      tags:
        - Tasks
      description: Get a task
      operationId: getTask
      parameters:
        - name: identifier
          in: path
          description: Entry identifier
          required: true
          schema:
            type: string
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A task
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DetailedTaskResult'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DetailedTaskResult:
      type: object
      properties:
        object:
          $ref: '#/components/schemas/DetailedTask'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    DetailedTask:
      type: object
      properties:
        identifier:
          type: string
          description: Task identifier
        entityType:
          type: string
          description: Entity schema identifier
        entityIdentifier:
          type: string
          description: Entity identifier
        entityData:
          type: object
        context:
          type: object
        status:
          $ref: '#/components/schemas/TaskStatus'
        route:
          type: string
          description: Route identifier
        createdAt:
          type: string
          format: date-time
          description: Creation date
        updatedAt:
          type: string
          format: date-time
          description: Update date
        meta:
          type: object
          properties:
            incoming:
              $ref: '#/components/schemas/TaskMetaDataItem'
            outgoing:
              $ref: '#/components/schemas/TaskMetaDataItem'
            route:
              $ref: '#/components/schemas/TaskMetaDataItem'
            httpProxy:
              $ref: '#/components/schemas/TaskMetaDataItem'
    TaskStatus:
      type: string
      title: Status
      enum:
        - new
        - processing
        - finished
        - failed
        - resolved
        - skipped
        - retry
        - waiting
        - killed
      enumNames:
        - New
        - Processing
        - Finished
        - Failed
        - Resolved
        - Skipped
        - Retry
        - Waiting
        - Killed
    TaskMetaDataItem:
      type: object
      properties:
        identifier:
          type: string
          description: Identifier
        name:
          type: string
          description: Name

````